<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>Registries (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Registries (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/world/registry/PassthroughBlockMaterial.html" title="class in com.sk89q.worldedit.world.registry"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/world/registry/Registries.html" target="_top">Frames</a></li>
<li><a href="Registries.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.world.registry</div>
<h2 title="Interface Registries" class="title">Interface Registries</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/world/registry/BundledRegistries.html" title="class in com.sk89q.worldedit.world.registry">BundledRegistries</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Registries</span></pre>
<div class="block">Contains getters for the various registries.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/registry/BiomeRegistry.html" title="interface in com.sk89q.worldedit.world.registry">BiomeRegistry</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/Registries.html#getBiomeRegistry--">getBiomeRegistry</a></span>()</code>
<div class="block">Get the biome registry.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/registry/BlockCategoryRegistry.html" title="interface in com.sk89q.worldedit.world.registry">BlockCategoryRegistry</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/Registries.html#getBlockCategoryRegistry--">getBlockCategoryRegistry</a></span>()</code>
<div class="block">Get the block category registry.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/registry/BlockRegistry.html" title="interface in com.sk89q.worldedit.world.registry">BlockRegistry</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/Registries.html#getBlockRegistry--">getBlockRegistry</a></span>()</code>
<div class="block">Get the block registry.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/registry/EntityRegistry.html" title="interface in com.sk89q.worldedit.world.registry">EntityRegistry</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/Registries.html#getEntityRegistry--">getEntityRegistry</a></span>()</code>
<div class="block">Get the entity registry.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/registry/ItemCategoryRegistry.html" title="interface in com.sk89q.worldedit.world.registry">ItemCategoryRegistry</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/Registries.html#getItemCategoryRegistry--">getItemCategoryRegistry</a></span>()</code>
<div class="block">Get the item category registry.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/registry/ItemRegistry.html" title="interface in com.sk89q.worldedit.world.registry">ItemRegistry</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/Registries.html#getItemRegistry--">getItemRegistry</a></span>()</code>
<div class="block">Get the item registry.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBlockRegistry--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockRegistry</h4>
<pre><a href="../../../../../com/sk89q/worldedit/world/registry/BlockRegistry.html" title="interface in com.sk89q.worldedit.world.registry">BlockRegistry</a>&nbsp;getBlockRegistry()</pre>
<div class="block">Get the block registry.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the block registry</dd>
</dl>
</li>
</ul>
<a name="getItemRegistry--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getItemRegistry</h4>
<pre><a href="../../../../../com/sk89q/worldedit/world/registry/ItemRegistry.html" title="interface in com.sk89q.worldedit.world.registry">ItemRegistry</a>&nbsp;getItemRegistry()</pre>
<div class="block">Get the item registry.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the item registry</dd>
</dl>
</li>
</ul>
<a name="getEntityRegistry--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEntityRegistry</h4>
<pre><a href="../../../../../com/sk89q/worldedit/world/registry/EntityRegistry.html" title="interface in com.sk89q.worldedit.world.registry">EntityRegistry</a>&nbsp;getEntityRegistry()</pre>
<div class="block">Get the entity registry.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the entity registry</dd>
</dl>
</li>
</ul>
<a name="getBiomeRegistry--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBiomeRegistry</h4>
<pre><a href="../../../../../com/sk89q/worldedit/world/registry/BiomeRegistry.html" title="interface in com.sk89q.worldedit.world.registry">BiomeRegistry</a>&nbsp;getBiomeRegistry()</pre>
<div class="block">Get the biome registry.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the biome registry</dd>
</dl>
</li>
</ul>
<a name="getBlockCategoryRegistry--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockCategoryRegistry</h4>
<pre><a href="../../../../../com/sk89q/worldedit/world/registry/BlockCategoryRegistry.html" title="interface in com.sk89q.worldedit.world.registry">BlockCategoryRegistry</a>&nbsp;getBlockCategoryRegistry()</pre>
<div class="block">Get the block category registry.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the block category registry</dd>
</dl>
</li>
</ul>
<a name="getItemCategoryRegistry--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getItemCategoryRegistry</h4>
<pre><a href="../../../../../com/sk89q/worldedit/world/registry/ItemCategoryRegistry.html" title="interface in com.sk89q.worldedit.world.registry">ItemCategoryRegistry</a>&nbsp;getItemCategoryRegistry()</pre>
<div class="block">Get the item category registry.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the item category registry</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/world/registry/PassthroughBlockMaterial.html" title="class in com.sk89q.worldedit.world.registry"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/world/registry/Registries.html" target="_top">Frames</a></li>
<li><a href="Registries.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
